tracks:
  melodic:
    actions:
    - bloom-export-upstream :{vcs_local_uri} :{vcs_type} --tag :{release_tag} --display-uri
      :{vcs_uri} --name :{name} --output-dir :{archive_dir_path}
    - git-bloom-import-upstream :{archive_path} :{patches} --release-version :{version}
      --replace
    - git-bloom-generate -y rosrelease :{ros_distro} --source upstream -i :{release_inc}
    - git-bloom-generate -y rosdebian --prefix release/:{ros_distro} :{ros_distro}
      -i :{release_inc} --os-name ubuntu
    - git-bloom-generate -y rosdebian --prefix release/:{ros_distro} :{ros_distro}
      -i :{release_inc} --os-name debian --os-not-required
    - git-bloom-generate -y rosrpm --prefix release/:{ros_distro} :{ros_distro} -i
      :{release_inc} --os-name fedora
    - git-bloom-generate -y rosrpm --prefix release/:{ros_distro} :{ros_distro} -i
      :{release_inc} --os-name rhel
    devel_branch: master
    last_version: 1.2.1
    name: upstream
    patches: null
    release_inc: '1'
    release_repo_url: git@gitlab.fel.cvut.cz:cras/ros-release/point_cloud_color.git
    release_tag: :{version}
    ros_distro: melodic
    vcs_type: git
    vcs_uri: https://github.com/ctu-vras/point_cloud_color.git
    version: :{auto}
  noetic:
    actions:
    - bloom-export-upstream :{vcs_local_uri} :{vcs_type} --tag :{release_tag} --display-uri
      :{vcs_uri} --name :{name} --output-dir :{archive_dir_path}
    - git-bloom-import-upstream :{archive_path} :{patches} --release-version :{version}
      --replace
    - git-bloom-generate -y rosrelease :{ros_distro} --source upstream -i :{release_inc}
    - git-bloom-generate -y rosdebian --prefix release/:{ros_distro} :{ros_distro}
      -i :{release_inc} --os-name ubuntu
    - git-bloom-generate -y rosdebian --prefix release/:{ros_distro} :{ros_distro}
      -i :{release_inc} --os-name debian --os-not-required
    - git-bloom-generate -y rosrpm --prefix release/:{ros_distro} :{ros_distro} -i
      :{release_inc} --os-name fedora
    - git-bloom-generate -y rosrpm --prefix release/:{ros_distro} :{ros_distro} -i
      :{release_inc} --os-name rhel
    devel_branch: master
    last_version: 1.2.1
    name: upstream
    patches: null
    release_inc: '1'
    release_repo_url: git@gitlab.fel.cvut.cz:cras/ros-release/point_cloud_color.git
    release_tag: :{version}
    ros_distro: noetic
    vcs_type: git
    vcs_uri: https://github.com/ctu-vras/point_cloud_color.git
    version: :{auto}
